# Interface ConditionalExpressionTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface ConditionalExpressionTree extends ExpressionTree
A tree node for the conditional operator `? :`. For example:

      condition ? trueExpression : falseExpression

See Java Language Specification:
  15.25 Conditional Operator ? :
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getCondition()`
Returns the condition.
`ExpressionTree`
`getFalseExpression()`
Returns the expression to be evaluated if the condition is false.
`ExpressionTree`
`getTrueExpression()`
Returns the expression to be evaluated if the condition is true.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getCondition

ExpressionTree getCondition()
Returns the condition.

Returns:
  the condition

### getTrueExpression

ExpressionTree getTrueExpression()
Returns the expression to be evaluated if the condition is true.

Returns:
  the expression to be evaluated if the condition is true

### getFalseExpression

ExpressionTree getFalseExpression()
Returns the expression to be evaluated if the condition is false.

Returns:
  the expression to be evaluated if the condition is false